diff --git a/hubs/widgets/stats/__init__.py b/hubs/widgets/stats/__init__.py
index b893feb..589d0ce 100644
--- a/hubs/widgets/stats/__init__.py
+++ b/hubs/widgets/stats/__init__.py
@@ -41,13 +41,14 @@ class GetStats(CachedFunction):
             subscribers_text=commas(len(subscribers)),
             stargazers_text=commas(len(stargazers)),
 
-            hub_leave_url=flask.url_for('hub_leave', hub=hub.name),
-            hub_join_url=flask.url_for('hub_join', hub=hub.name),
-            hub_unstar_url=flask.url_for('hub_unstar', hub=hub.name),
-            hub_star_url=flask.url_for('hub_star', hub=hub.name),
-            hub_subscribe_url=flask.url_for('hub_subscribe', hub=hub.name),
+            hub_leave_url=flask.url_for('api_hub_leave', hub=hub.name),
+            hub_join_url=flask.url_for('api_hub_join', hub=hub.name),
+            hub_unstar_url=flask.url_for('api_hub_unstar', hub=hub.name),
+            hub_star_url=flask.url_for('api_hub_star', hub=hub.name),
+            hub_subscribe_url=flask.url_for(
+                'api_hub_subscribe', hub=hub.name),
             hub_unsubscribe_url=flask.url_for(
-                'hub_unsubscribe', hub=hub.name),
+                'api_hub_unsubscribe', hub=hub.name),
         )
 
     def should_invalidate(self, message):

